Class Index | File Index

## Classes

- _global_
- fec
- fec.base
- fec.config
- fec.cookies
- fec.errorCode
- fec.errorConfig
- fec.form
- fec.msg
- fec.util
- fec.valuesFactory
- FecMain
- FecPageControl

# Namespace fec.util

fec.util
Defined in: yaf4ajn.js.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| fec.util General utils class

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | fec.util.timeStart StartTime for alertTime function (for basic profiling)

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | fec.util.addLoadEvent(func) Adds functions to observation list, which are executed when DOM ist loaded
<static> | fec.util.addParamToUrl(url, name, value)
<static> | fec.util.alertTime(uc) Basic profiling - add this function in your code, and the time between the initial load of the page and the code will be put at the end of the page
<static> | fec.util.capitalizeByChar(str, chr)
<static> | fec.util.chkUndef(value, suffix) Turn an undefined object into an empty string and add a suffix-string
<static> | fec.util.delay(func, time)
<static> | fec.util.eleId(eleName)
<static> | fec.util.escapeFrame()
<static> | fec.util.formatMessage(msg, hobj) Formats a message with object-values
<static> | fec.util.getDimensions() Get the document dimensions.
<static> | fec.util.getErrorPage(errid, code)
<static> | fec.util.getImageRoot(url)
<static> | fec.util.getPageAddressRoot(url)
<static> | fec.util.getPageName()
<static> | fec.util.getQueryParams() Reads the URL query parameters, put the keys to lower case and return the parameters as a hash
<static> | fec.util.isCompleted()
<static> | fec.util.keypressObserver(elem) Adds keypress-interception for the RETURN KEY - if return key is send, then the defaultbutton behaviour will be executed or the form will be processed (dataSend).
<static> | fec.util.maximizeWindow()
<static> | fec.util.openWindow(url, winname, width, height, toolbr, scrollbrs, resizable, winoptions, trackit) Pop-Up function
<static> | fec.util.popup(w, h, site, opts) Shortcut to openWindow, with less amount of parameters.
<static> | fec.util.redirect(url, delay, replace)
<static> | fec.util.redirectReplace(url)
<static> | fec.util.replaceAllCss(oldCss, newCss)
<static> | fec.util.resizeAndCenter(width, height)
<static> | fec.util.runKeepAlive(delay)
<static> | fec.util.setDatumsfelder(eleTag, eleMonat, eleJahr, datum)
<static> | fec.util.setKeepAlive()
<static> | fec.util.setLocation(url, toTop)
<static> | fec.util.submitObserver(elem) Adds forms to observation list, which will processed when the submit event is fired
<static> | fec.util.submitWithAction(url) Sets a action and processes the form (dataSend) without JS-validation
<static> | fec.util.submitWithGotoPage(url) Sets a gotoPage and processes the form (dataSend) without JS-validation

Namespace Detail
fec.util
General utils class
Field Detail
<static> fec.util.timeStart
StartTime for alertTime function (for basic profiling)
Method Detail
<static> fec.util.addLoadEvent(func)
Adds functions to observation list, which are executed when DOM ist loaded

Parameters:
{object} func
  - a function

<static> fec.util.addParamToUrl(url, name, value)

Parameters:
url
name
value

<static> fec.util.alertTime(uc)
Basic profiling - add this function in your code, and the time between the initial load of the page and the code will be put at the end of the page

Parameters:
{string} uc
  - UseCase, addition information

<static> fec.util.capitalizeByChar(str, chr)

Parameters:
str
chr

<static> {string} fec.util.chkUndef(value, suffix)
Turn an undefined object into an empty string and add a suffix-string

Parameters:
{object} value
  - tested object
{string} suffix
  - suffix String

Returns:
  {string}

<static> fec.util.delay(func, time)

Parameters:
func
time

<static> fec.util.eleId(eleName)

Parameters:
eleName

<static> fec.util.escapeFrame()

<static> fec.util.formatMessage(msg, hobj)
Formats a message with object-values

Parameters:
{string} msg
  - message-String with placeholders
{object} hobj
  - object with values

<static> {object} fec.util.getDimensions()
Get the document dimensions.

Returns:
  {object} { width: Number, height: Number }

<static> fec.util.getErrorPage(errid, code)

Parameters:
errid
code

<static> fec.util.getImageRoot(url)

Parameters:
url

<static> fec.util.getPageAddressRoot(url)

Parameters:
url

<static> fec.util.getPageName()

<static> {hash} fec.util.getQueryParams()
Reads the URL query parameters, put the keys to lower case and return the parameters as a hash

Returns:
  {hash} query as hash object

<static> fec.util.isCompleted()

<static> fec.util.keypressObserver(elem)
Adds keypress-interception for the RETURN KEY - if return key is send, then the defaultbutton behaviour will be executed or the form will be processed (dataSend).

Parameters:
{object} elem
  - document

<static> fec.util.maximizeWindow()

<static> {object} fec.util.openWindow(url, winname, width, height, toolbr, scrollbrs, resizable, winoptions, trackit)
Pop-Up function

Parameters:
{string} url
  - popup-url
{string} winname
  - window name
{number} width
{number} height
{null|boolean} toolbr
  - with a toolbar?
{null|boolean} scrollbrs
  - with scrollbars?
{null|boolean} resizable
  - resizable?
{string} winoptions
  - more options
{null|boolean} trackit
  - refresh parent after popup closes

Returns:
  {object} pop-window object

<static> fec.util.popup(w, h, site, opts)
Shortcut to openWindow, with less amount of parameters.

Parameters:
w
h
site
opts

See:
  fec.util.openWindow

<static> fec.util.redirect(url, delay, replace)

Parameters:
url
delay
replace

<static> fec.util.redirectReplace(url)

Parameters:
url

<static> fec.util.replaceAllCss(oldCss, newCss)

Parameters:
oldCss
newCss

<static> fec.util.resizeAndCenter(width, height)

Parameters:
width
height

<static> fec.util.runKeepAlive(delay)

Parameters:
delay

<static> fec.util.setDatumsfelder(eleTag, eleMonat, eleJahr, datum)

Parameters:
eleTag
eleMonat
eleJahr
datum

<static> fec.util.setKeepAlive()

<static> fec.util.setLocation(url, toTop)

Parameters:
url
toTop

<static> fec.util.submitObserver(elem)
Adds forms to observation list, which will processed when the submit event is fired

Parameters:
{object} elem
  - Form-Element

<static> fec.util.submitWithAction(url)
Sets a action and processes the form (dataSend) without JS-validation

Parameters:
{string} url
  - URL where the server should redirect

<static> fec.util.submitWithGotoPage(url)
Sets a gotoPage and processes the form (dataSend) without JS-validation

Parameters:
{string} url
  - URL where the server should redirect

Documentation generated by JsDoc Toolkit 2.1.0 on Mon Mar 09 2009 11:54:50 GMT+0100 (CET)